Name:           jnr-posix
Version:        3.0.27
Release:        %mkrel 1
Group:          Development/Java
Summary:        Java Posix layer
License:        CPL or GPLv2+ or LGPLv2+
URL:            http://github.com/jnr/jnr-posix
Source0:        https://github.com/jnr/%{name}/archive/%{version}.tar.gz
Patch0:		    fix-manifest.patch

BuildRequires:  maven-local
BuildRequires:  mvn(com.github.jnr:jnr-constants) >= 0.8.8
BuildRequires:  mvn(com.github.jnr:jnr-ffi)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:      noarch

%description
jnr-posix is a lightweight cross-platform POSIX emulation layer for Java, 
written in Java and is part of the JNR project 

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
Javadoc for %{name}.

%prep
%setup -q
%patch0

# fix test which assumes that there is a group named "nogroup"
sed -i 's|"nogroup"|"root"|' src/test/java/jnr/posix/GroupTest.java

# Remove useless wagon extension.
%pom_xpath_remove "pom:build/pom:extensions"

%mvn_file : %{name}/%{name} %{name}

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc




%changelog
* Tue May 10 2016 daviddavid <daviddavid> 3.0.27-1.mga6
+ Revision: 1012190
- Update to upstream 3.0.27 release

  + neoclust <neoclust>
    - Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.0.19-2.mga6
+ Revision: 976561
- First rebuild of the java stack
- sync package jnr-posix with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Jan 19 2015 daviddavid <daviddavid> 3.0.1-1.mga5
+ Revision: 811530
- Sync with fc21 (update to 3.0.1)

* Wed Oct 15 2014 umeabot <umeabot> 2.4.0-4.mga5
+ Revision: 741559
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.4.0-2.mga4
+ Revision: 538025
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 dmorgan <dmorgan> 2.4.0-1.mga4
+ Revision: 488275
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.1.8-2.mga3
+ Revision: 355494
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 25 2012 gil <gil> 1.1.8-1.mga2
+ Revision: 214925
- update to 1.1.8

* Sat Nov 05 2011 gil <gil> 1.1.7-1.mga2
+ Revision: 163864
- imported package jnr-posix


* Thu Jun 16 2011 gil <gil> 1.1.7-0.%%mkrel
- initial rpm